/**************************************************************************
/* An event encapsulating a search-request.
/*
/* Copyright (c) 2003-2004 by Bernhard Bablok (mail@bablokb.de)
/*
/* This library is free software; you can redistribute it and/or modify
/* it under the terms of the GNU Lesser General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This library is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU Lesser General Public License for more details.
/*
/* You should have received a copy of the GNU Lesser General Public License
/* along with this library; see the file COPYING.LESSER.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/

package de.bablokb.luala.lib.event;

import java.util.*;

/**
   An event encapsulating a search-request.

   @version $Revision: 1.4 $
   @author  $Author: bablokb $
*/

public class SearchEvent extends EventObject {

  ////////////////////////////////////////////////////////////////////////////

  /**
     The search-string.
  */

  private String iSearchString;

  ////////////////////////////////////////////////////////////////////////////

  /**
     Create a SearchEvent with the given string.

     @param source The source of the event
     @param searchString The search string
  */

  public SearchEvent(Object source, String searchString) {
    super(source);
    iSearchString = searchString;
  }

  ////////////////////////////////////////////////////////////////////////////

  /**
     Return the encapsulated search-string.

     @return the search string
  */

  public String getSearchString() {
    return iSearchString;
  }
}

