/**************************************************************************
/* Interface for a GUI-component for entering search-conditions.
/*
/* Copyright (c) 2003-2004 by Bernhard Bablok (mail@bablokb.de)
/*
/* This library is free software; you can redistribute it and/or modify
/* it under the terms of the GNU Lesser General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This library is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU Lesser General Public License for more details.
/*
/* You should have received a copy of the GNU Lesser General Public License
/* along with this library; see the file COPYING.LESSER.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/

package de.bablokb.luala.lib.gui;

import javax.swing.*;
import de.bablokb.luala.lib.event.*;

/**
   Interface for a GUI-component for entering search-conditions.

   @version $Revision: 1.3 $
   @author  $Author: bablokb $
*/

public interface SearchPanel {

  ////////////////////////////////////////////////////////////////////////////

  /**
     Return the GUI.

     @return the GUI-component with the entry fields
  */

  public JComponent getGUI();

  ////////////////////////////////////////////////////////////////////////////

  /**
     Add a {@link SearchEventListener}.

     @param sel the SearchEventListener to add
  */

  public void addSearchEventListener(SearchEventListener sel);
}

